const char MAIN_page[] PROGMEM = R"=====(
<!DOCTYPE HTML><HTML><HEAD>
<META name='viewport' content='width=device-width, initial-scale=1'>
<SCRIPT>
InitWebSocket();
function InitWebSocket()
  {
  websock=new WebSocket('ws://'+window.location.hostname+':88/');
  websock.onmessage=function(evt)
    {
    JSONobj=JSON.parse(evt.data);
    document.getElementById('text1').innerHTML=JSONobj.LED1onoff;
    if(document.getElementById('text1').innerHTML==='LED1 = ON') document.getElementById('switch1').checked = true;
    else document.getElementById('switch1').checked = false;
    document.getElementById('text2').innerHTML=JSONobj.LED2onoff;
    if(document.getElementById('text2').innerHTML==='LED2 = ON') document.getElementById('switch2').checked = true;
    else document.getElementById('switch2').checked = false;    
    }
  }

function ledstatuschange(id)
  {
if (id == 'switch1') {
  btn='LED1onoff=LED1 = ON';
  if(document.getElementById('text1').innerHTML==='LED1 = ON')btn='LED1onoff=LED1 = OFF';
  websock.send(btn);
  if(document.getElementById('text1').innerHTML==='LED1 = ON') document.getElementById('switch1').unchecked = true;
  if(document.getElementById('text1').innerHTML==='LED1 = OFF') document.getElementById('switch1').checked = true;
}
if (id == 'switch2') {
  btn='LED2onoff=LED2 = ON';
  if(document.getElementById('text2').innerHTML==='LED2 = ON')btn='LED2onoff=LED2 = OFF';
  websock.send(btn);
  if(document.getElementById('text2').innerHTML==='LED2 = ON') document.getElementById('switch2').unchecked = true;
  if(document.getElementById('text2').innerHTML==='LED2 = OFF') document.getElementById('switch2').checked = true;
}
}

</SCRIPT>
<style type="text/css">
*, *:after, *:before {
box-sizing: border-box;
}
#switch1, #switch2 {
visibility:hidden;
clip:rect(0 0 0 0);
position: absolute;
left: 9999px;
}
.switch1, .switch2 {
display: block;
width: 130px;
height: 50px;
margin-top: 5px;
margin-bottom: 40px;
position: relative;
background: #ced8da; /* Old browsers */
background: -moz-linear-gradient(left, #ced8da 0%, #d8e0e3 29%, #ccd4d7 34%, #d4dcdf 62%, #fff9f4 68%, #e1e9ec 74%, #b7bfc2 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, right top, color-stop(0%,#ced8da), color-stop(29%,#d8e0e3), color-stop(34%,#ccd4d7), color-stop(62%,#d4dcdf), color-stop(68%,#fff9f4), color-stop(74%,#e1e9ec), color-stop(100%,#b7bfc2)); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(left, #ced8da 0%,#d8e0e3 29%,#ccd4d7 34%,#d4dcdf 62%,#fff9f4 68%,#e1e9ec 74%,#b7bfc2 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(left, #ced8da 0%,#d8e0e3 29%,#ccd4d7 34%,#d4dcdf 62%,#fff9f4 68%,#e1e9ec 74%,#b7bfc2 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(left, #ced8da 0%,#d8e0e3 29%,#ccd4d7 34%,#d4dcdf 62%,#fff9f4 68%,#e1e9ec 74%,#b7bfc2 100%); /* IE10+ */
background: linear-gradient(to right, #ced8da 0%,#d8e0e3 29%,#ccd4d7 34%,#d4dcdf 62%,#fff9f4 68%,#e1e9ec 74%,#b7bfc2 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ced8da', endColorstr='#b7bfc2',GradientType=1 ); /* IE6-9 */
transition: all 0.2s ease-out;
cursor: pointer;
border-radius: 0.35em;
box-shadow:
0 0 1px 2px rgba(0,0,0,0.7),
inset 0 2px 0 rgba(255,255,255,0.6),
inset 0 -1px 0 1px rgba(0,0,0,0.3),
0 8px 10px rgba(0,0,0,0.15);
}
.switch1:before, .switch2:before {
display:block;
position: absolute;
left: -35px; right: -35px;
top: -25px; bottom: -25px;
z-index: -2;
content: "";
border-radius: 0.4em;
background: #d5dde0;
background: linear-gradient(#d7dfe2, #bcc7cd);
box-shadow:
inset 0 2px 0 rgba(255,255,255,0.6),
inset 0 -1px 1px 1px rgba(0,0,0,0.3),
0 0 8px 2px rgba(0,0,0,0.2),
0 2px 4px 2px rgba(0,0,0,0.1);
pointer-events: none;
transition: all 0.2s ease-out;
}
.switch1:after, .switch2:after {
content: "";
position: absolute;
right: -25px;
top: 50%;
width: 16px;
height: 16px;
border-radius: 50%;
background: #788b91;
margin-top: -8px;
z-index: -1;
box-shadow:
inset 0 -1px 8px rgba(0,0,0,0.7),
inset 0 -2px 2px rgba(0,0,0,0.2),
0 1px 0 white,
0 -1px 0 rgba(0,0,0,0.7),
-47px 32px 15px 13px rgba(0,0,0,0.25);
}
#switch1:checked ~ .switch1, #switch2:checked ~ .switch2 {
background: #b7bfc2; /* Old browsers */
background: -moz-linear-gradient(left, #b7bfc2 0%, #e1e9ec 26%, #fff9f4 32%, #d4dcdf 38%, #ccd4d7 66%, #d8e0e3 71%, #ced8da 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, right top, color-stop(0%,#b7bfc2), color-stop(26%,#e1e9ec), color-stop(32%,#fff9f4), color-stop(38%,#d4dcdf), color-stop(66%,#ccd4d7), color-stop(71%,#d8e0e3), color-stop(100%,#ced8da)); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(left, #b7bfc2 0%,#e1e9ec 26%,#fff9f4 32%,#d4dcdf 38%,#ccd4d7 66%,#d8e0e3 71%,#ced8da 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(left, #b7bfc2 0%,#e1e9ec 26%,#fff9f4 32%,#d4dcdf 38%,#ccd4d7 66%,#d8e0e3 71%,#ced8da 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(left, #b7bfc2 0%,#e1e9ec 26%,#fff9f4 32%,#d4dcdf 38%,#ccd4d7 66%,#d8e0e3 71%,#ced8da 100%); /* IE10+ */
background: linear-gradient(to right, #b7bfc2 0%,#e1e9ec 26%,#fff9f4 32%,#d4dcdf 38%,#ccd4d7 66%,#d8e0e3 71%,#ced8da 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#b7bfc2', endColorstr='#ced8da',GradientType=1 ); /* IE6-9 */
}
#switch1:checked ~ .switch1:after, #switch2:checked ~ .switch2:after {
background: #b1ffff;
box-shadow:
inset 0 -1px 8px rgba(0,0,0,0.7),
inset 0 -2px 2px rgba(0,0,0,0.2),
0 1px 0 white,
0 -1px 0 rgba(0,0,0,0.5),
-110px 32px 15px 13px rgba(0,0,0,0.25);
}
</style>
</HEAD>
<BODY><CENTER>
<FONT face='Verdana'>
<H1>WiFiSchalter</H1>
<INPUT type='checkbox' ID='switch1' name='OFF' checked onclick="ledstatuschange('switch1');"><FONT size=4 color=red><DIV id='text1'>kein LED-Status !</DIV></FONT>
<LABEL for='switch1' class='switch1'></LABEL>
<INPUT type='checkbox' ID='switch2' name='OFF' checked onclick="ledstatuschange('switch2');"><FONT size=4 color=red><DIV id='text2'>kein LED-Status !</DIV></FONT>
<LABEL for='switch2' class='switch2'></LABEL>
<FONT SIZE=-2>(c) Dietrich Kindermann 2017</FONT>
<script type="text/javascript">
window.onload=InitWebSocket;
function StartSocket()
  {
  var interval1 = setInterval(function()
    {
    if(document.readyState === 'complete')
      {
      clearInterval(interval1);
      var interval2 = setInterval(function()
        {
        if(document.getElementById('text1').innerHTML === 'kein LED-Status !')
          {
          InitWebSocket();
          if(document.getElementById('text1').innerHTML !== 'kein LED-Status !') clearInterval(interval2);
          }
        }, 100);
      }
    }, 100);
  }
document.addEventListener("load", StartSocket, false);
document.addEventListener("DOMContentLoaded", StartSocket, false);
</SCRIPT>
</CENTER>
</BODY>
</HTML>
)=====";
